Subject: bug#69256: closed (Re: [PATCH gnome-team v2 0/2] Building your glibmm update)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Feb 2024 06:34:02 +0000

Your bug report

#69256: [PATCH gnome-team] gnu: glibmm-2.64: Rename and update to 2.66.6.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69256: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69256
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH gnome-team v2 0/2] Building your glibmm update
From: Liliana Marie Prikler <[email-masked]>
To: Vivien Kraus <[email-masked]>, [email-masked], John Kehayias <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 24 Feb 2024 07:31:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 21.02.2024 um 23:04 +0100 schrieb Vivien Kraus:
> Hello John, dear guix,
> 
> I added the eiciel update on top of your work.
> 
> Best regards,
Pushed.

Thanks

Subject: [PATCH gnome-team] gnu: glibmm-2.64: Rename and update to 2.66.6.
From: John Kehayias <[email-masked]>
To: [email-masked]
Cc: John Kehayias <[email-masked]>
Date: Sun, 18 Feb 2024 20:30:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

In brief, this patch updates [email-masked] to the latest 2.6 version,
which is tagged 2.66.6. I did not see this in the NEWS of glibmm but
noticed from Arch's packages when trying to investigate something
(details below). I'm not sure exactly the number of rebuilds since
there is a newer version of glibmm already, but I would guess this
touches a lot (via gtkmm-3, e.g. inkscape). Inkscape did build
successfully locally, as well as some later packages, like the one
that started this for me, waybar.

Updating waybar hit some errors in glibmm-2.64, which is not included
directly but via gtkmm-3. The reason is that waybar now uses c++20
which had errors in older glibmm versions. The NEWS file of the
project notes this is fixed in 2.68.1, see
<https://gitlab.gnome.org/GNOME/glibmm/-/blob/master/NEWS>. I'm
confused over all the versions and ABI versions, but I believe this is
a different ABI and it is not clear that it was fixed in other,
earlier versions as the 2.6x changes don't seem to be all listed. In
noticing the Arch version I found that 2.66.6 is the latest tag for a
2.6x version and made this patch. Everything up to and including a new
waybar version built now and works. I can't speak for other dependents
but can try locally.

So, it would be great to push this patch on gnome-team if that make
sense, or else I could do it on mesa-updates if that is better timing.
I'll be updating libdrm, cairo (unless that should go here or
core-updates?), mesa, vulkan, etc. with a first pass in the next few
days. I'll have some info on guix-devel as well.

Hope this patch looks good, let me know!

John

* gnu/packages/glib.scm (glibmm-2.64): Rename to ...
(glibmm-2.66): ... this.  Update to 2.66.6.
* gnu/packages/animation.scm (etl)[inputs]: Adjust accordingly.
(synfig)[propagated-inputs]: Likewise.
* gnu/packages/electronics.scm (libsigrok)[propagated-inputs]: Likewise.
* gnu/packages/gnome-xyz.scm (eiciel)[inputs]: Likewise.
* gnu/packages/gnome.scm (libxml++-3, libxml++-2)[propagated-inputs]: Likewise.
* gnu/packages/gtk.scm (pangomm-2.46, atkmm-2.28, gtkmm-2)[propagated-inputs]:
Likewise.

Change-Id: I878e740e085a483970a4ef6e0fa7dd19000863eb
---
 gnu/packages/animation.scm   | 4 ++--
 gnu/packages/electronics.scm | 2 +-
 gnu/packages/glib.scm        | 6 +++---
 gnu/packages/gnome-xyz.scm   | 2 +-
 gnu/packages/gnome.scm       | 4 ++--
 gnu/packages/gtk.scm         | 6 +++---
 6 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index d6bd3fd03d..3bcf1cc8f0 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -109,7 +109,7 @@ (define-public etl
                (base32
                 "1jnahpxvrdxrll7b7av3zxabm5j3nlz6m3vg4sib2278v1wf91yc"))))
     (build-system gnu-build-system)
-    (inputs (list glibmm-2.64))
+    (inputs (list glibmm-2.66))
     (native-inputs (list pkg-config))
     (home-page "https://www.synfig.org")
     (synopsis "Extended C++ template library")
@@ -149,7 +149,7 @@ (define-public synfig
            fftw
            fontconfig
            freetype
-           glibmm-2.64
+           glibmm-2.66
            imagemagick
            libxml++-2
            libsigc++
diff --git a/gnu/packages/electronics.scm b/gnu/packages/electronics.scm
index 83a92abc4e..aaf762b02b 100644
--- a/gnu/packages/electronics.scm
+++ b/gnu/packages/electronics.scm
@@ -210,7 +210,7 @@ (define-public libsigrok
       ;; and "glib" in Requires
       (propagated-inputs
        (list glib
-             glibmm-2.64
+             glibmm-2.66
              libserialport
              libusb
              libftdi
diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index eee5251d03..aef2b7a941 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -995,11 +995,11 @@ (define glibmm
 useful for C++.")
     (license license:lgpl2.1+)))

- (define-public glibmm-2.64
+ (define-public glibmm-2.66
    (package
     (inherit glibmm)
     (name "glibmm")
-    (version "2.64.5")
+    (version "2.66.6")
     (source
      (origin
        (method url-fetch)
@@ -1008,7 +1008,7 @@ (define glibmm
                        (version-major+minor version)
                        "/glibmm-" version ".tar.xz"))
        (sha256
-        (base32 "11m37sbx0i18cl17d0fkq0bik4bbzlb5n8kcl651jhci5ipci3sh"))))
+        (base32 "0bqm9vqwhas69q6n89wd2xgxvrlkpxra13dzsx8m67hqk0jp8n2k"))))
      (propagated-inputs
       (modify-inputs (package-propagated-inputs glibmm)
         (replace "libsigc++" libsigc++-2)))))
diff --git a/gnu/packages/gnome-xyz.scm b/gnu/packages/gnome-xyz.scm
index 72f1ffe5ab..0784937c63 100644
--- a/gnu/packages/gnome-xyz.scm
+++ b/gnu/packages/gnome-xyz.scm
@@ -1560,7 +1560,7 @@ (define-public eiciel
     (native-inputs
      (list gettext-minimal pkg-config))
     (inputs
-     (list acl attr glibmm-2.64 gtkmm-3 nautilus))
+     (list acl attr glibmm-2.66 gtkmm-3 nautilus))
     (home-page "https://rofi.roger-ferrer.org/eiciel")
     (synopsis "Manage extended file attributes")
     (description "Eiciel is a plugin for nautilus to graphically edit ACL and
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 7397148c2b..24cedaa161 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8831,7 +8831,7 @@ (define-public libxml++-3
        (sha256
         (base32 "07f6l9ka63dnc85npxq5g7bn1ja7lad0w2wixqdlyabdvc4l2hp5"))))
     (propagated-inputs (modify-inputs (package-propagated-inputs libxml++)
-                         (append glibmm-2.64)))))
+                         (append glibmm-2.66)))))

 ;; This is the last release providing the 2.6 API, hence the name.
 (define-public libxml++-2
@@ -8849,7 +8849,7 @@ (define-public libxml++-2
        (sha256
         (base32 "05slsbhc25z7kwlc28ydl3dfyp7rgbmz1fxj9z6gcvpg3hkghj2m"))))
     (propagated-inputs (modify-inputs (package-propagated-inputs libxml++)
-                         (append glibmm-2.64)))))
+                         (append glibmm-2.66)))))

 (define-public gdm
   (package
diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index eacc7fc5ed..bdce1bc493 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1736,7 +1736,7 @@ (define-public pangomm-2.46
        (sha256
         (base32 "0ya3yb36d745m5ccgwhgxl8xjh82hiys3lvk08zqyq0s8x6y03s1"))))
     (propagated-inputs
-     (list cairomm-1.14 glibmm-2.64 pango))))
+     (list cairomm-1.14 glibmm-2.66 pango))))

 (define-public atkmm
   (package
@@ -1804,7 +1804,7 @@ (define-public atkmm-2.28
         (base32 "1b8vycqzr3lfvk2l73f4kk74hj48081zbh9r1r2ilr3h8xh7cs0i"))))
     (propagated-inputs
      (modify-inputs (package-propagated-inputs atkmm)
-       (replace "glibmm" glibmm-2.64)))))
+       (replace "glibmm" glibmm-2.66)))))

 (define-public gtkmm
   (package
@@ -1914,7 +1914,7 @@ (define-public gtkmm-2
      (strip-keyword-arguments
       '(#:configure-flags) (package-arguments gtkmm)))
     (propagated-inputs
-     (list atkmm-2.28 cairomm-1.14 glibmm-2.64 gtk+-2 pangomm-2.46))))
+     (list atkmm-2.28 cairomm-1.14 glibmm-2.66 gtk+-2 pangomm-2.46))))

 (define-public gtksourceviewmm
   (package

base-commit: 622df12ef389c9e91f68ae10c54c043f34828c83
--
2.41.0